<?php

//make IMAGESPATH directory if it doesn't exist
if (MANAGEPICTURES == "yes" and !is_dir(IMAGESPATH)):
   mkdir (IMAGESPATH, 0777);
   endif;


//complain function definition
function complain($message)
   {
   echo "<div align=center>";
   echo "
   <table width=\"350\" cellpadding=\"1\" cellspacing=\"1\" border=\"0\">
   <tr>
      <td>
   <b><font face=\"Arial\" size=\"-1\">Problem</font></b>
      </td>
   </tr>
      <tr>
      <td bgcolor=\"#CCCCCC\">
         <table width=\"100%\" cellpadding=\"4\" cellspacing=\"0\" border=\"0\">
         <tr>
            <td bgcolor=\"#EEEEEE\">
   <font size=\"-1\" face=\"arial, helvetica\">
   <p>$message</p>
   </font>
            </td>
         </tr>
         </table>

      </td>
      </tr>
   </table>       
   ";

   echo "</div>";
   include("footer.php3");
   exit;
   }

function ImageTypeOK($myImageExt)
/////////////////////////////////////////////////////////////////
// Validate Image File Format
// Because HTTP file upload supports limiting by MIME type, this
// should not be necessary. But I have found that the correct
// MIME type is not always sent by some OS/browsers.
////////////////////////////////////////////////////////////////
   {
   global $accept_files_list ;
   if (DEBUG == "yes") echo '\.($accept_files_list)$ : "' . "\.($accept_files_list)$" . "\"<br>" ;
   if (DEBUG == "yes") echo 'eregi("\.($accept_files_list)$", $myImageExt) : "' . eregi("\.($accept_files_list)$", $myImageExt) ."\n<br>" ;
   return eregi("\.($accept_files_list)$", $myImageExt) ;
   }


function CheckImage($myImage, $myImage_name)
   {
   global $accept_files_list, $strNotImageFile, $strInsteadOf, $strBytes, $strPressBack ;
   global $UploadWeightLimit, $strExceedSizeLimit ;
   global $UploadWidthLimit, $strExceedWidthLimit, $strPixels ;
   global $UploadHeightLimit, $strExceedHeightLimit ;
   // file name ok
   // file is listed image
   $myImageExt = strrchr ($myImage_name, ".") ;
   if (!ImageTypeOK($myImageExt))
      {
      complain ("$strNotImageFile ('$myImageExt' $strInsteadOf '$accept_files_list') <br>$strPressBack");
      };
   // file weight OK
   if(filesize($myImage) > $UploadWeightLimit)
      {
      complain ("$strExceedSizeLimit (" . filesize($myImage) . "$strInsteadOf $UploadWeightLimit $strBytes) <br>$strPressBack");
      };

   $myImage_dimensions = GetImageSize($myImage) ;
   if ( DEBUG == "yes" ) echo "myImage_name: '$myImage_name'             ";
   // file width OK
   if($myImage_dimensions[0] > $UploadWidthLimit)
      {
      complain ("$strExceedWidthLimit (" . $myImage_dimensions[0] . "$strInsteadOf $UploadWidthLimit $strPixels) <br>$strPressBack");
      };
   // file height OK
   if($myImage_dimensions[1] > $UploadHeightLimit)
      {
      complain ("$strExceedHeightLimit (" . $myImage_dimensions[1] . "$strInsteadOf $UploadHeightLimit $strPixels) <br>$strPressBack");
      };
   }

function InsertImage($myImage, $myImage_name, $RecordID)
   {
   /*-----------------------------------------------------------*/
   /* Copy File And Delete                                      */
   /* This is done last before the thank you message in order   */
   /* to ensure that if the database insert fails, an image     */
   /* will not be copied to the image directory on the web      */
   /* server. We do not want an image without a record. This    */
   /* allows the user to attempt another submission.            */
   /*-----------------------------------------------------------*/
   
   global $sql ;

   //set a file name and copy it
   $mydir = IMAGESPATH;
   $destfile = $RecordID.strrchr ($myImage_name, ".");
   if ( DEBUG == "yes" ) { echo "destfile = '$destfile', myImage_name = '$myImage_name'         "; } ;
   if (strlen($myImage) > 1)
      {
      copy($myImage, $mydir . "/" . $destfile);
      // not sure if should be inserted : unlink($ypict);
      };

   //finally, update the record to include the picture file name
   $query = verifyData ("UPDATE " . DBTABLE . " SET ypict='$destfile' WHERE yps='$RecordID' ");
   if ( DEBUG == "yes" ) { echo "query: '$query'          "; } ;
   $sql->Update($query);

   return $destfile ;
   }

function DeleteImage($myImage_name)
   {
   // we check that, as it should, ypict exists
   if ( DEBUG == "yes" ) { echo "ypict2: '$ypict2'    "; } ;
   if ( file_exists( IMAGESPATH . "/" . $myImage_name ) ) {
      unlink(IMAGESPATH . "/" . $myImage_name);
      };
   }