<?php

////////////////////////////////////////
// start of LOCALE MANAGEMENT
// by MLL<mll2@netcourrier.com>
////////////////////////////////////////
/*
If you implement a new language :
1. set the parameters in the LANGUAGES DEFINITION section underneath (NOT the rest) ;
2. be sure also to make a file called "lang_$langCreated.php3" (all in lowercase) in the same directory, with the very same variables names as in lang_english.php3 ;
That's all !!
*/

// start LANGUAGES DEFINITION section

   /* to know the right codes here, see :
   - http://www.rfc-editor.org/rfc/rfc2616.txt sections 14.4 & 3.10
   - http://www.iana.org/cctld/cctld-whois.htm
   */
   $langTab = array (
      "de"=>"Deutsch",
      "en"=>"English",
      "es"=>"Espaol",
      "fr"=>"Franais",
      "it"=>"Italiano",
      "pt"=>"Portugus brazilian",
      "ru"=>"Russian"
      ) ;
   
// end LANGUAGES DEFINITION section

// do NOT change the rest of LOCALE MANAGEMENT underneath

   //if no choice was previously done by the visitor, OR he refused the cookie
   if (!isset($langSelected)):
      //retrieve browser language
      $BrowserLangs = explode(",", $HTTP_ACCEPT_LANGUAGE); //might not work if you're not on an Apache server
      $BrowserLang1 = $BrowserLangs[0] ;     // now we know the browser's favourite language 
      //now let's remove subtags if any
      $BrowserLang1 = explode("-", $BrowserLang1); 
      $BrowserLang1 = $BrowserLang1[0] ;
      //and finally see if it's know to our LANGUAGES DEFINITION section
      $langSelected = $langTab[$BrowserLang1] ;
      //if not, lets use the site default language defined in the util.php file
      if (!isset($langSelected)) $langSelected = $langDefault ;
      //and lets write the final result in a cookie to remember it
      setcookie("langSelected" , $langSelected);
   endif;
   //if a change has been done through language_select.php3, it overwrites the stuff above
   if(isset($langSelected2)):
      $langSelected = $langSelected2;
      setcookie("langSelected" , $langSelected2);
      endif;
   //finally, lets call the chosen language strings
   include(strtolower ("lang_" . $langSelected . ".php3")) ;

// end of LOCALE MANAGEMENT
////////////////////////////////////////

?>