<?php
// CONSTANT declarations - DO NOT CHANGE UPPERCASE CONSTANTS.
// Change lowercase values ONLY
// values you may change are marked with the comment " - modify".

// Database and connectivity 
define("DBNAME", "yourDatabaseName" ); /* your mySQL database name - modify */
define("DBPASSWORD", "yourDatabasePassword" ); /* the password to get into your mysql database - modify */
define("DBTABLE", "phpYellow" ); /* the name of your database table, DO NOT CHANGE */
define("USER", "yourMySQLUser" ); /* the name of your mysql user, often made the same as your internet user account - modify */
define("HOSTSERVER", "" ); /* the name of your database host server - modify */
define("INSTALLPATH", "http://dreamriver.com/phpYellow/"); /* The full path to and including your install directory - be sure to include a trailing slash like "/" - modify */

// Who you are
define("WEBMASTER", "webmaster@yourdomain.com" ); /* The webmasters email address - modify */
define("COMPANY", "Your Organization Name Here" ); /* The name of your organization, used in page titles etc - modify */
define("ADMINHOME", "admin.php3"); /* your administration page name - modify - if you modify this then be sure to also change the filename from admin.php3 to the new name, for example newname.php */
define("ADMINUSER", "EnterAnAdminUserNameHere"); /* your administration login name, only one word with NO spaces - modify */
define("ADMINPASSWORD", "EnterAnAdminPasswordHere"); /* your administration password, only one word with NO spaces - modify */
define("SALESPHONE", "1-800-555-1212" ); /* Your phone number for sales as on advertise.php3, when a record is added this will show - modify */

// How your phpYellow Pages implementation works
define("EMAILONINSERT", "yes"); /* if you want the WEBMASTER notified of every new listing added then this value should be "yes" - modify */
define("EMAILSURFERONADD", "yes"); /* if you do NOT want the user notified by email of their new listing then change value to "" - modify */
define("YOURPHPYELLOWNAME", "phpYellow Pages Multilingual"); /* the name you call your implementation of phpYellow, used in html page titles and email - modify */
define("RECORDSPERPAGE", "10"); /* The number of results per page in any search - modify if wanted */

define("SHOWSQL", "no" ); /* DO NOT CHANGE. for debugging, choose to show the sql queries. Anything but "no" will cause display of sql in admin results only */
define("DEBUG", "no"); //should not be changed

// Web enabled version checking
define("PRODUCTNAME", "phpYellow Multilingual"); /* DO NOT CHANGE.*/
define("INSTALLVERSION", "1.074"); /* DO NOT CHANGE.*/
/* Reserved for Premium Yellow Service // DO NOT CHANGE.*/


// Here you can control what should be checked in the forms - yes or anything else
// by MLL
define("FORM_CHECK_ALLTEXTFILES",      "no"  );
define("FORM_CHECK_CATEGORY",          "yes" );
define("FORM_CHECK_COMPANY",           "yes" );
define("FORM_CHECK_FIRSTNAME",         "no"  );
define("FORM_CHECK_LASTNAME",          "no"  );
define("FORM_CHECK_URL",               "yes" );
define("FORM_CHECK_DESCRIPTION",       "yes" );
define("FORM_CHECK_PHONE",             "yes" );
define("FORM_CHECK_FAX",               "yes" );
define("FORM_CHECK_EMAIL",             "yes" );
define("FORM_CHECK_STREETADDRESS",     "yes" );
define("FORM_CHECK_CITY",              "yes" );
define("FORM_CHECK_POSTALCODE",        "yes" );

// Here you can control what is displayed in the forms - yes or anything else
// Warning : be sure that fields marked no here have also a no in the corresponding fields above
// by MLL
define("DISPLAY_CATEGORY",             "yes" );
define("DISPLAY_COMPANY",              "yes" );
define("DISPLAY_FIRSTNAME",            "yes" );
define("DISPLAY_LASTNAME",             "yes" );
define("DISPLAY_URL",                  "yes" );
define("DISPLAY_DESCRIPTION",          "yes" );
define("DISPLAY_PHONE",                "yes" );
define("DISPLAY_FAX",                  "yes" );
define("DISPLAY_EMAIL",                "yes" );
define("DISPLAY_ADDRESS",              "yes" );
define("DISPLAY_CELLULAR",             "yes" );



////////////////////////////////////////
// start of LOCALE DEFINITION
// by MLL

   $langDefault = $langFrench ; //you may change here to your site default language if none is found in the user's browser settings or the user's cookie

   include("languages.php3") ;

// end of LOCALE DEFINITION
////////////////////////////////////////


////////////////////////////////////////
// start of PICTURES MANAGEMENT PART
// by MLL
// bits of code taken from phpPhotoAlbum by Steve Knoblock (http://www.phphelp.com/photoalbum/)

define("MANAGEPICTURES", "yes"); /* self-explanatory - "yes" or anything else. If anything else, you can ignore the rest of PICTURES MANAGEMENT PART*/
// Enter the path relative to INSTALLPATH where the directory where images are to be stored (no end slash please).
define("IMAGESPATH", "images"); //the system will create this directory if you didn't

// Specify figures.
$UploadWeightLimit = 6144 ; //in bytes
$UploadWidthLimit =  360  ; //in pixels
$UploadHeightLimit = 144  ; //in pixels

// Specify figures. (This is the maximum upload allowed by the form).
$FormUploadWeightLimit = 5120 ; //in bytes. This is restrictive.
$FormUploadWidthLimit =  300  ; //in pixels. This is advisory.
$FormUploadHeightLimit = 120  ; //in pixels. This is advisory.
$FormUploadWeightLimitkb = round ($FormUploadWeightLimit / 1024 * 100 ) / 100 ;

// Enter the file extensions for file types users are allowed to upload
$accept_files_list = 'jpg|jpeg|png|gif';

// MONSTERS SUBPART - avoid it for 'serious' purposes ;O)
// you may use monsters_list.php3 to have an idea of the pictures in MONSTERSPATH
define("MANAGEMONSTERS", "yes"); /* self-explanatory - "yes" or anything else. If anything else, you can ignore the rest*/
define("MONSTERSPATH", "monsters"); // Enter the path relative to INSTALLPATH where directory where monsters are to be stored (no end slash please). Don't forget to create and populate this directory !! The system will not manage monsters if if you don't create this directory

include ("images_functions.php3");

// end of PICTURES MANAGEMENT PART
/////////////////////////////////////////


/* END OF CONSTANT DECLARATIONS */
/* DO NOT CHANGE data below DO NOT CHANGE data below DO NOT CHANGE data below DO NOT CHANGE */




//   UTILITY ROUTINES START HERE *************************************
# Utility routines for MySQL from http://www.vtwebwizard.com - Thanks!
 
class MySQL_class {
    var $db, $id, $result, $rows, $data, $a_rows;
    var $user, $pass, $host;

    function Setup ($user, $pass) {
        $this->user = $user;
        $this->pass = $pass;
    }

    function Create ($db) {
        if (!$this->user) {
            $this->user = USER;
        }
        if (!$this->pass) {
            $this->pass = DBPASSWORD;
        }
        if (!$this->db) {
		$this->db = DBNAME;
		}
        if (!$this->host) {
		$this->host = HOSTSERVER;
		}		
        $this->id = @mysql_pconnect($this->host, $this->user, $this->pass) or
            MySQL_ErrorMsg("Unable to connect to MySQL server: $this->host : '$SERVER_NAME'");
        $this->selectdb($db);
    }

    function SelectDB ($db) {
        @mysql_select_db($db, $this->id) or
            MySQL_ErrorMsg ("Unable to select database: $db");
    }

    # Use this function is the query will return multiple rows.  Use the Fetch
    # routine to loop through those rows.
    function Query ($query) {
        $this->result = @mysql_query($query, $this->id) or
            MySQL_ErrorMsg ("Unable to perform query: $query");
        $this->rows = @mysql_num_rows($this->result);
        $this->a_rows = @mysql_affected_rows($this->result);
    }

    # Use this function if the query will only return a
    # single data element.
    function QueryItem ($query) {
        $this->result = @mysql_query($query, $this->id) or
            MySQL_ErrorMsg ("Unable to perform query: $query");
        $this->rows = @mysql_num_rows($this->result);
        $this->a_rows = @mysql_affected_rows($this->result);
        $this->data = @mysql_fetch_array($this->result) or
            MySQL_ErrorMsg ("Unable to fetch data from query: $query");
        return($this->data[0]);
    }

    # This function is useful if the query will only return a
    # single row.
    function QueryRow ($query) {
        $this->result = @mysql_query($query, $this->id) or
            MySQL_ErrorMsg ("Unable to perform query: $query");
        $this->rows = @mysql_num_rows($this->result);
        $this->a_rows = @mysql_affected_rows($this->result);
        $this->data = @mysql_fetch_array($this->result) or
            MySQL_ErrorMsg ("Unable to fetch data from query: $query");
        return($this->data);
    }

    function Fetch ($row) {
        @mysql_data_seek($this->result, $row) or
            MySQL_ErrorMsg ("Unable to seek data row: $row");
        $this->data = @mysql_fetch_array($this->result) or
            MySQL_ErrorMsg ("Unable to fetch row: $row");
    }

    function Insert ($query) {
        $this->result = @mysql_query($query, $this->id) or
            MySQL_ErrorMsg ("Unable to perform insert: $query");
        $this->a_rows = @mysql_affected_rows($this->result);
    }

    function Update ($query) {
        $this->result = @mysql_query($query, $this->id) or
            MySQL_ErrorMsg ("Unable to perform update: $query");
        $this->a_rows = @mysql_affected_rows($this->result);
    }

    function Delete ($query) {
        $this->result = @mysql_query($query, $this->id) or
            MySQL_ErrorMsg ("Unable to perform Delete: $query");
        $this->a_rows = @mysql_affected_rows($this->result);
    }
}

/* ********************************************************************
 * MySQL_ErrorMsg
 *
 * Print out an MySQL error message
 *
 */

function MySQL_ErrorMsg ($msg) {
    # Close out a bunch of HTML constructs which might prevent
    # the HTML page from displaying the error text.
    echo("</ul></dl></ol>\n");
    echo("</table></script>\n");

    # Display the error message
    $text  = "<font color=\"#ff0000\" size=+2><p>Error: $msg :";
    $text .= mysql_error();
    $text .= "</font>\n";
    die($text);
}

// check for unwanted characters in user input query
function verifyData ($query) {
	if($query){
		$query = str_replace ("%", "", $query);
		//$query = str_replace ("_", "", $query);
		$query = str_replace (">", "", $query);
		$query = str_replace ("<", "", $query);
		$query = str_replace ("|", "", $query);
		$query = str_replace ("`", "", $query);
		//$query = str_replace ("\\", "", $query); incompatible with addslashes
		$query = str_replace ("+", "", $query);
		$query = str_replace ("?", "", $query);
		$query = str_replace ("^", "", $query);
		return $query;
	}else{
		exit;	
	}
}
?>